Logic Pro 9 9.1 on a G5?

#1
Has anybody tried to run the update on a G5 yet........Still waiting for the next line of Intels but also wanting to keep up with what´s going on. I am afraid that this time I don´t have the nerve to install it right away.
 
#2
Has anybody tried to run the update on a G5 yet........Still waiting for the next line of Intels but also wanting to keep up with what´s going on. I am afraid that this time I don´t have the nerve to install it right away.
No more PowerPC code in Logic Pro 9.1 and MainStage 2.1
 

Markdvc

Administrator
Staff member
#3
It seems that this will not work, there have already been some comments that 9.1 does not show up in software updates on a PPC Mac. 64 bit would not work on a PPC mac anyway as it requires Snow Leopard. Looks like Apple were serious when they mentioned on its release that Logic 9 required Intel

kind regards

Mark
 
#4
It's true, it doesn't show up in software updates.
I guess that over 5 years with my G5 is quite a long time and the next Pro Mac update can't be far away unless they are trying to break the record from last year.
I do use a lot 3rdware so I guess it will be a while before they are up to it anyway.
BTW what about UAD, do they work in 64 bit, I know TC are still struggling.
 
#5
It's true, it doesn't show up in software updates.
I guess that over 5 years with my G5 is quite a long time and the next Pro Mac update can't be far away unless they are trying to break the record from last year.
I do use a lot 3rdware so I guess it will be a while before they are up to it anyway.
BTW what about UAD, do they work in 64 bit, I know TC are still struggling.

UAD plugs are 32 bit.
 

Markdvc

Administrator
Staff member
#6
Hi Jay

I think HKC may be referring to 64 bit drivers, not to the actual Plugins themselves. Here, UAD and Powercore are both working in Logic 9.0.2, now 9.1 in OSX 10.6.2. I am using the public beta for the powercore that TC announced here

kind regards

Mark
 
#7
Cool, I use these a lot and was worried that maybe they wouldn't work. Still being on G5 I don't have the Snow Leopard issue with Powercore which I gather is quite annoying. The word around here (like TC I'm from Denmark) is that they work 24/7 to fix the drivers.
 
Top